package com.app.widget.dialog

import android.os.Bundle
import android.support.v4.app.DialogFragment
import android.support.v4.app.FragmentManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import com.app.R
import com.app.util.Tools
import com.app.util.cache.YYPreferences

/**
 *  拦截页退出弹窗
 *
 *  @author xwt
 */
class PayExitDiaLog : DialogFragment() {
    override fun onCreate(savedInstanceState: Bundle?) {
        setStyle(STYLE_NO_FRAME, R.style.AgePickerTheme)
        super.onCreate(savedInstanceState)
    }


    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return getFragmentView()
    }

    private fun getFragmentView(): View? {
        if (activity == null) {
            return null
        }

        var view = View.inflate(activity, R.layout.dialog_pay_exit, null)
        var tvReceive: TextView = view.findViewById(R.id.tvReceive)
        tvReceive.setOnClickListener {
            if (!Tools.isFastDoubleClick() && YYPreferences.getInstance().gender == 0) {
                dismiss()
            }
        }

        var tvCancel: TextView = view.findViewById(R.id.tvCancel)
        tvCancel.setOnClickListener {
            if (!Tools.isFastDoubleClick() && YYPreferences.getInstance().gender == 0) {
                activity?.finish()
            }
        }

        return view
    }

    companion object {
        @JvmStatic
        fun newInstance(): PayExitDiaLog {
            val fag = PayExitDiaLog()
            val args = Bundle()
//            args.putInt(Constants.FLAG_COMMOM_DIALOG_TYPE, type)
            fag.arguments = args
            return fag
        }

        @JvmField
        val VIP = 1
        @JvmField
        val FREE = 2
    }

    override fun show(manager: FragmentManager, tag: String) {
        try {
            try {
                if (!isAdded && !isRemoving && !isVisible) {
                    super.show(manager, tag)
                }

            } catch (e: IllegalStateException) {
                e.printStackTrace()
                if (!isAdded && !isRemoving && !isVisible) {
                    // 解决java.lang.IllegalStateException: Can not perform this action问题
                    val ft = manager.beginTransaction()
                    ft.add(this, tag)
                    ft.commitAllowingStateLoss()
                }
            }

        } catch (e: Exception) {
            e.printStackTrace()
        }

    }
}