package com.app.widget.yyytitlebar

import android.app.Activity
import android.content.Context
import android.support.v4.app.Fragment
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.widget.LinearLayout
import com.app.R
import kotlinx.android.synthetic.main.include_title_bar_layout.view.*

/**
 * @Description:  通用title
 * @Author:         Mazh
 */
class IncludeTitleView : LinearLayout {
    private var titleName: String = ""

    constructor(context: Context) : super(context)
    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        with(context.obtainStyledAttributes(attrs, R.styleable.IncludeTitleView, 0, 0)) {
            titleName = getString(R.styleable.IncludeTitleView_titleName_Include)
            recycle()
        }
    }

    constructor(context: Context, attrs: AttributeSet?, defStyle: Int) : super(context, attrs, defStyle) {
        with(context.obtainStyledAttributes(attrs, R.styleable.IncludeTitleView, 0, 0)) {
            titleName = getString(R.styleable.IncludeTitleView_titleName_Include)
            recycle()
        }
    }

    private var mView: View = LayoutInflater.from(context).inflate(R.layout.include_title_bar_layout, this, false)

    init {
        addView(mView)
    }

    override fun onFinishInflate() {
        super.onFinishInflate()
        tvTitle.text = titleName

        ivBack.setOnClickListener {
            if (mOnclick != null) {
                mOnclick?.onClick()
            } else {
                when (context) {
                    is Fragment -> (context as Fragment).activity?.finish()
                    is Activity -> (context as Activity).finish()
                }
            }
        }
    }

    /**
     * 返回点击事件
     */
    interface IncludeTitleLeftOnClick {
        fun onClick()
    }

    private var mOnclick: IncludeTitleLeftOnClick? = null
    fun setLeftOnClick(onClick: IncludeTitleLeftOnClick) {
        mOnclick = onClick
    }

    /**
     * 设置标题
     */
    fun setTitle(title: String) {
        tvTitle.text = title
    }

    fun setLeftVisOrGone(visOrGone: Int) {
        if (null != ivBack) {
            ivBack.visibility = visOrGone
        }
    }

}